/*
 * This file is part of MiToBo, the Microscope Image Analysis Toolbox.
 *
 * Copyright (C) 2010
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on MiToBo, visit
 *
 *    http://www.informatik.uni-halle.de/mitobo/
 *
 */

package de.unihalle.informatik.MiToBo.datatypes;

import de.unihalle.informatik.MiToBo.operator.*;

/**
 * A double to be used as input or output to MTB operators
 * 
 * @modified Sep 27, 2010
 * 
 * @author Stefan Posch
 */
public class MTBDoubleData extends MTBData {
		/**
		 * Double value for these object.
		 */
		private Double value;

		/**
		 * Construct an empty double data object from the given double value.
		 * 
		 * @param value
		 *          double value for the object
		 */
		public MTBDoubleData(Double value) {
				this.value = value;
		}

		/**
		 * Returns the double value.
		 * 
		 * @return The double data value.
		 */
		public Double getValue() {
				return value;
		}

		/**
		 * Set the value of the double datat object.
		 * 
		 * @param value
		 *          double value to set
		 */
		public void setValue(Double value) {
				this.value = value;
		}
}
